<?php // utf-8 check: äöü

if (!function_exists('sv') || preg_match('#plugins/pagedata_vars/pagedata_vars_view.php#i', $_SERVER['SCRIPT_NAME']))
{
	die('no direct access');
}

/*
============================================================
CMSimple Plugin PagedataVars
============================================================
Version:    PagedataVars 1.5
Released:   2023-01
Copyright:  Gert Ebersbach
Internet:   www.ge-webdesign.de
============================================================ 
License: Commercial License (for commercial websites only)
see http://www.ge-webdesign.de/cmsimpleplugins/?Nutzungsbedingungen
============================================================ 
*/

function pagedata_vars_view($page)
{
	global $sn, $su, $pth, $cf, $plugin_tx, $plugin_cf, $pd_current, $csrfSession;

	$help_icon = '<img src="' . $pth['folder']['plugins'] . 'pluginloader/css/help_icon.png" alt="help" class="helpicon">';
	
	if(is_dir('./userfiles/plugins/pagedata_vars/'))
	{
		$pdvarsFilepath = './' . $plugin_cf['pagedata_vars']['data_filepath'];
	}
	else
	{
		$pdvarsFilepath = $pth['folder']['base'] . $plugin_cf['pagedata_vars']['data_filepath'];
	}
	
	if($plugin_cf['pagedata_vars']['editor_for_textareas'] == 'true')
	{
		$pdv_textareaHeight = $plugin_cf['pagedata_vars']['editor_textarea_height'];
	}
	else
	{
		$pdv_textareaHeight = '100px';
	}

	if(!defined('CMSIMPLE_VERSION'))
	{
		$view = '<p>This plugin requires <b>CMSimple 4.2</b> or higher.</p><p><a href="http://www.cmsimple.org/">CMSimple Download & Updates &raquo;</a></p>';
	}
	else
	{
		$view ="\n".'<form action="' . $sn . '?' . $su . '" method="post" id="pagedata_vars">';
		$view.= "\n" . '<p><b>' . $plugin_tx['pagedata_vars']['form_title'] . '</b></p>';
		if($cf['use']['csrf_protection'] == 'true') $view .= '<input type="hidden" name="csrf_token" value="' . $_SESSION[$csrfSession] . '">' . "\n";
		
		
// Variable pagedata_var01

		if($plugin_cf['pagedata_vars']['editor_for_textareas'] == 'true')
		{
			$pdv_textareasClass = 'cmsimple-editor';
		}
		else
		{
			$pdv_textareasClass = 'pdv_textarea';
		}
		
		if($plugin_cf['pagedata_vars']['pagedata_var01'] != '')
		{
			$view.= "\n" . '<a class="pl_tooltip" href="#">' . $help_icon . '<span><hr>' . str_replace("\n",'<br>',$plugin_tx['pagedata_vars']['hint_pagedata_var01']) . '<br><hr></span></a>';
			$view.= "\n" . '<label for = "pagedata_var01"><span class = "pdvars_label">' . $plugin_tx['pagedata_vars']['label_pagedata_var01'] . '</span></label><br>';
		}
		
		if($plugin_cf['pagedata_vars']['pagedata_var01'] == 'pdv_folder')
		{
			$pdvars01Array = array();
			
			if($pdvar01Handle = opendir($pdvarsFilepath . 'pagedata_var01'))
			{
				while($pdvar01ArrayElement = readdir($pdvar01Handle))
				{
					if($pdvar01ArrayElement != '.' && $pdvar01ArrayElement != '..')
					{
						$pdvars01Array[] = $pdvar01ArrayElement;
						natcasesort($pdvars01Array);
					}
				}
			}
			
			$view.= '<select name="pagedata_var01" class="pdv_select">';
			$view.= '<option value="">' . $plugin_tx['pagedata_vars']['selectbox_nothing_selected'] . '</option>' . "\n";
			
			foreach($pdvars01Array as $pdvars01file)
			{
				if(isset($pd_current['pagedata_var01']) && $pdvars01file == $pd_current['pagedata_var01'])
				{
					$view.= '<option selected="selected">' . $pdvars01file . '</option>' . "\n";
				}
				else
				{
					$view.= '<option>' . $pdvars01file . '</option>' . "\n";
				}
			}
			
			$view.= '</select><br><hr>';
		}

		if($plugin_cf['pagedata_vars']['pagedata_var01'] == 'pdv_input')
		{
			$view.= '
<input type="text" size="50" class="pdv_input" name="pagedata_var01" id="pagedata_var01" value="' . str_replace('"','&quot;',$pd_current['pagedata_var01']) . '"><br>
';
		}

		if($plugin_cf['pagedata_vars']['pagedata_var01'] == 'pdv_textarea')
		{
			if($plugin_cf['pagedata_vars']['editor_for_textareas'] == 'true'){$view.= "\n" . '<div style="margin: 2px -24px;">';}
			$view.= '
<textarea class="' . $pdv_textareasClass . '" style="height: ' . $pdv_textareaHeight . '; width: 100%;" name="pagedata_var01" id="pagedata_var01">' . $pd_current['pagedata_var01'] . '</textarea>
<hr>
';
			if($plugin_cf['pagedata_vars']['editor_for_textareas'] == 'true'){$view.= "\n" . '</div>';}
		}
		
		if($plugin_cf['pagedata_vars']['pagedata_var01'] != 'pdv_folder' && $plugin_cf['pagedata_vars']['pagedata_var01'] != 'pdv_input' && $plugin_cf['pagedata_vars']['pagedata_var01'] != 'pdv_textarea' && $plugin_cf['pagedata_vars']['pagedata_var01'] != '')
		{
			$pdvars01Array = explode($plugin_cf['pagedata_vars']['array_delimiter'], $plugin_cf['pagedata_vars']['pagedata_var01']);
			
			$view.= '<select name="pagedata_var01" class="pdv_select">';
			$view.= '<option value="">' . $plugin_tx['pagedata_vars']['selectbox_nothing_selected'] . '</option>' . "\n";
			
			foreach($pdvars01Array as $pdvars01file)
			{
				if($pdvars01file == $pd_current['pagedata_var01'])
				{
					$view.= '<option selected="selected">' . $pdvars01file . '</option>' . "\n";
				}
				else
				{
					$view.= '<option>' . $pdvars01file . '</option>' . "\n";
				}
			}
			
			$view.= '</select><br><hr>';
		}
		
		
// Variable pagedata_var02

		if($plugin_cf['pagedata_vars']['pagedata_var02'] != '')
		{
			$view.= "\n" . '<a class="pl_tooltip" href="#">' . $help_icon . '<span><hr>' . str_replace("\n",'<br>',$plugin_tx['pagedata_vars']['hint_pagedata_var02']) . '<br><hr></span></a>';
			$view.= "\n" . '<label for = "pagedata_var02"><span class = "pdvars_label">' . $plugin_tx['pagedata_vars']['label_pagedata_var02'] . '</span></label><br>';
		}
		
		if($plugin_cf['pagedata_vars']['pagedata_var02'] == 'pdv_folder')
		{
			$pdvars02Array = array();
			
			if($pdvar02Handle = opendir($pdvarsFilepath . 'pagedata_var02'))
			{
				while($pdvar02ArrayElement = readdir($pdvar02Handle))
				{
					if($pdvar02ArrayElement != '.' && $pdvar02ArrayElement != '..')
					{
						$pdvars02Array[] = $pdvar02ArrayElement;
						natcasesort($pdvars02Array);
					}
				}
			}
			
			$view.= '<select name="pagedata_var02" class="pdv_select">';
			$view.= '<option value="">' . $plugin_tx['pagedata_vars']['selectbox_nothing_selected'] . '</option>' . "\n";
			
			foreach($pdvars02Array as $pdvars02file)
			{
				if(isset($pd_current['pagedata_var02']) && $pdvars02file == $pd_current['pagedata_var02'])
				{
					$view.= '<option selected="selected">' . $pdvars02file . '</option>' . "\n";
				}
				else
				{
					$view.= '<option>' . $pdvars02file . '</option>' . "\n";
				}
			}

			$view.= '</select><br><hr>';
		}
		
		if($plugin_cf['pagedata_vars']['pagedata_var02'] == 'pdv_input')
		{
			$view.= '
<input type="text" size="50" class="pdv_input" name="pagedata_var02" id="pagedata_var02" value="' . str_replace('"','&quot;',$pd_current['pagedata_var02']) . '">
<hr>
';
		}
		
		if($plugin_cf['pagedata_vars']['pagedata_var02'] == 'pdv_textarea')
		{
			if($plugin_cf['pagedata_vars']['editor_for_textareas'] == 'true'){$view.= "\n" . '<div style="margin: 2px -24px;">';}
			$view.= "\n" . '<textarea class="' . $pdv_textareasClass . '" style="height: ' . $pdv_textareaHeight . '; width: 100%;" name="pagedata_var02" id="pagedata_var02">' . $pd_current['pagedata_var02'] . '</textarea>
<hr>';
			if($plugin_cf['pagedata_vars']['editor_for_textareas'] == 'true'){$view.= "\n" . '</div>';}
		}
		
		if($plugin_cf['pagedata_vars']['pagedata_var02'] != 'pdv_folder' && $plugin_cf['pagedata_vars']['pagedata_var02'] != 'pdv_input' && $plugin_cf['pagedata_vars']['pagedata_var02'] != 'pdv_textarea' && $plugin_cf['pagedata_vars']['pagedata_var02'] != '')
		{
			$pdvars02Array = explode($plugin_cf['pagedata_vars']['array_delimiter'], $plugin_cf['pagedata_vars']['pagedata_var02']);
			
			$view.= '<select name="pagedata_var02" class="pdv_select">';
			$view.= '<option value="">' . $plugin_tx['pagedata_vars']['selectbox_nothing_selected'] . '</option>' . "\n";
			
			foreach($pdvars02Array as $pdvars02file)
			{
				if($pdvars02file == $pd_current['pagedata_var02'])
				{
					$view.= '<option selected="selected">' . $pdvars02file . '</option>' . "\n";
				}
				else
				{
					$view.= '<option>' . $pdvars02file . '</option>' . "\n";
				}
			}
			
			$view.= '</select><br><hr>';
		}


// Variable pagedata_var03

		if($plugin_cf['pagedata_vars']['pagedata_var03'] != '')
		{
			$view.= "\n" . '<a class="pl_tooltip" href="#">' . $help_icon . '<span><hr>' . str_replace("\n",'<br>',$plugin_tx['pagedata_vars']['hint_pagedata_var03']) . '<br><hr></span></a>';
			$view.= '
<label for = "pagedata_var03"><span class = "pdvars_label">' . $plugin_tx['pagedata_vars']['label_pagedata_var03'] . '</span></label><br>
';
		}

		if($plugin_cf['pagedata_vars']['pagedata_var03'] == 'pdv_folder')
		{
			$pdvars03Array = array();
			
			if($pdvar03Handle = opendir($pdvarsFilepath . 'pagedata_var03'))
			{
				while($pdvar03ArrayElement = readdir($pdvar03Handle))
				{
					if($pdvar03ArrayElement != '.' && $pdvar03ArrayElement != '..')
					{
						$pdvars03Array[] = $pdvar03ArrayElement;
						natcasesort($pdvars03Array);
					}
				}
			}
			
			$view.= '<select name="pagedata_var03" class="pdv_select">';
			$view.= '<option value="">' . $plugin_tx['pagedata_vars']['selectbox_nothing_selected'] . '</option>' . "\n";
			
			foreach($pdvars03Array as $pdvars03file)
			{
				if(isset($pd_current['pagedata_var03']) && $pdvars03file == $pd_current['pagedata_var03'])
				{
					$view.= '<option selected="selected">' . $pdvars03file . '</option>' . "\n";
				}
				else
				{
					$view.= '<option>' . $pdvars03file . '</option>' . "\n";
				}
			}

			$view.= '</select><br><hr>';
		}
		
		if($plugin_cf['pagedata_vars']['pagedata_var03'] == 'pdv_input')
		{
			$view.= '
<input type="text" size="50" class="pdv_input" name="pagedata_var03" id="pagedata_var03" value="' . str_replace('"','&quot;',$pd_current['pagedata_var03']) . '"
<hr>
';
		}
		
		if($plugin_cf['pagedata_vars']['pagedata_var03'] == 'pdv_textarea')
		{
			if($plugin_cf['pagedata_vars']['editor_for_textareas'] == 'true'){$view.= "\n" . '<div style="margin: 2px -24px;">';}
			$view.= "\n" . '<textarea class="' . $pdv_textareasClass . '" style="height: ' . $pdv_textareaHeight . '; width: 100%;" name="pagedata_var03" id="pagedata_var03">' . $pd_current['pagedata_var03'] . '</textarea><br>';
			if($plugin_cf['pagedata_vars']['editor_for_textareas'] == 'true'){$view.= "\n" . '</div>';}
		}
		
		if($plugin_cf['pagedata_vars']['pagedata_var03'] != 'pdv_folder' && $plugin_cf['pagedata_vars']['pagedata_var03'] != 'pdv_input' && $plugin_cf['pagedata_vars']['pagedata_var03'] != 'pdv_textarea' && $plugin_cf['pagedata_vars']['pagedata_var03'] != '')
		{
			$pdvars03Array = explode($plugin_cf['pagedata_vars']['array_delimiter'], $plugin_cf['pagedata_vars']['pagedata_var03']);
			
			$view.= '<select name="pagedata_var03" class="pdv_select">';
			$view.= '<option value="">' . $plugin_tx['pagedata_vars']['selectbox_nothing_selected'] . '</option>' . "\n";
			
			foreach($pdvars03Array as $pdvars03file)
			{
				if($pdvars03file == $pd_current['pagedata_var03'])
				{
					$view.= '<option selected="selected">' . $pdvars03file . '</option>' . "\n";
				}
				else
				{
					$view.= '<option>' . $pdvars03file . '</option>' . "\n";
				}
			}
			
			$view.= '</select><br><hr>';
		}
		
		
// Variable pagedata_var04

		if($plugin_cf['pagedata_vars']['pagedata_var04'] != '')
		{
			$view.= "\n" . '<a class="pl_tooltip" href="#">' . $help_icon . '<span><hr>' . str_replace("\n",'<br>',$plugin_tx['pagedata_vars']['hint_pagedata_var04']) . '<br><hr></span></a>';
			$view.= "\n" . '<label for = "pagedata_var04"><span class = "pdvars_label">' . $plugin_tx['pagedata_vars']['label_pagedata_var04'] . '</span></label><br>';
		}
		
		if($plugin_cf['pagedata_vars']['pagedata_var04'] == 'pdv_folder')
		{
			$pdvars04Array = array();
			
			if($pdvar04Handle = opendir($pdvarsFilepath . 'pagedata_var04'))
			{
				while($pdvar04ArrayElement = readdir($pdvar04Handle))
				{
					if($pdvar04ArrayElement != '.' && $pdvar04ArrayElement != '..')
					{
						$pdvars04Array[] = $pdvar04ArrayElement;
						natcasesort($pdvars04Array);
					}
				}
			}
			
			$view.= '<select name="pagedata_var04" class="pdv_select">';
			$view.= '<option value="">' . $plugin_tx['pagedata_vars']['selectbox_nothing_selected'] . '</option>' . "\n";
			
			foreach($pdvars04Array as $pdvars04file)
			{
				if(isset($pd_current['pagedata_var04']) && $pdvars04file == $pd_current['pagedata_var04'])
				{
					$view.= '<option selected="selected">' . $pdvars04file . '</option>' . "\n";
				}
				else
				{
					$view.= '<option>' . $pdvars04file . '</option>' . "\n";
				}
			}

			$view.= '</select><br><hr>';
		}

		if($plugin_cf['pagedata_vars']['pagedata_var04'] == 'pdv_input')
		{
			$view.= '
<input type="text" size="50" class="pdv_input" name="pagedata_var04" id="pagedata_var04" value="' . str_replace('"','&quot;',$pd_current['pagedata_var04']) . '">
<hr>
';
		}

		if($plugin_cf['pagedata_vars']['pagedata_var04'] == 'pdv_textarea')
		{
			if($plugin_cf['pagedata_vars']['editor_for_textareas'] == 'true'){$view.= "\n" . '<div style="margin: 2px -24px;">';}
			$view.= "\n" . '<textarea class="' . $pdv_textareasClass . '" style="height: ' . $pdv_textareaHeight . '; width: 100%;" name="pagedata_var04" id="pagedata_var04">' . $pd_current['pagedata_var04'] . '</textarea><hr>';
			if($plugin_cf['pagedata_vars']['editor_for_textareas'] == 'true'){$view.= "\n" . '</div>';}
		}
		
		if($plugin_cf['pagedata_vars']['pagedata_var04'] != 'pdv_folder' && $plugin_cf['pagedata_vars']['pagedata_var04'] != 'pdv_input' && $plugin_cf['pagedata_vars']['pagedata_var04'] != 'pdv_textarea' && $plugin_cf['pagedata_vars']['pagedata_var04'] != '')
		{
			$pdvars04Array = explode($plugin_cf['pagedata_vars']['array_delimiter'], $plugin_cf['pagedata_vars']['pagedata_var04']);
			
			$view.= '<select name="pagedata_var04" class="pdv_select">';
			$view.= '<option value="">' . $plugin_tx['pagedata_vars']['selectbox_nothing_selected'] . '</option>' . "\n";
			
			foreach($pdvars04Array as $pdvars04file)
			{
				if($pdvars04file == $pd_current['pagedata_var04'])
				{
					$view.= '<option selected="selected">' . $pdvars04file . '</option>' . "\n";
				}
				else
				{
					$view.= '<option>' . $pdvars04file . '</option>' . "\n";
				}
			}
			
			$view.= '</select><br><hr>';
		}
		
		
// Variable pagedata_var05

		if($plugin_cf['pagedata_vars']['pagedata_var05'] != '')
		{
			$view.= "\n" . '<a class="pl_tooltip" href="#">' . $help_icon . '<span><hr>' . str_replace("\n",'<br>',$plugin_tx['pagedata_vars']['hint_pagedata_var05']) . '<br><hr></span></a>';
			$view.= "\n" . '<label for = "pagedata_var05"><span class = "pdvars_label">' . $plugin_tx['pagedata_vars']['label_pagedata_var05'] . '</span></label><br>';
		}
		
		if($plugin_cf['pagedata_vars']['pagedata_var05'] == 'pdv_folder')
		{
			$pdvars05Array = array();
			
			if($pdvar05Handle = opendir($pdvarsFilepath . 'pagedata_var05'))
			{
				while($pdvar05ArrayElement = readdir($pdvar05Handle))
				{
					if($pdvar05ArrayElement != '.' && $pdvar05ArrayElement != '..')
					{
						$pdvars05Array[] = $pdvar05ArrayElement;
						natcasesort($pdvars05Array);
					}
				}
			}
			
			$view.= '<select name="pagedata_var05" class="pdv_select">';
			$view.= '<option value="">' . $plugin_tx['pagedata_vars']['selectbox_nothing_selected'] . '</option>' . "\n";
			
			foreach($pdvars05Array as $pdvars05file)
			{
				if(isset($pd_current['pagedata_var05']) && $pdvars05file == $pd_current['pagedata_var05'])
				{
					$view.= '<option selected="selected">' . $pdvars05file . '</option>' . "\n";
				}
				else
				{
					$view.= '<option>' . $pdvars05file . '</option>' . "\n";
				}
			}

			$view.= '</select><br><hr>';
		}
		
		if($plugin_cf['pagedata_vars']['pagedata_var05'] == 'pdv_input')
		{
			$view.= '
<input type="text" size="50" class="pdv_input" name="pagedata_var05" id="pagedata_var05" value="' . str_replace('"','&quot;',$pd_current['pagedata_var05']) . '"><hr>';
		}
		
		if($plugin_cf['pagedata_vars']['pagedata_var05'] == 'pdv_textarea')
		{
			if($plugin_cf['pagedata_vars']['editor_for_textareas'] == 'true'){$view.= "\n" . '<div style="margin: 2px -24px;">';}
			$view.= "\n" . '<textarea class="' . $pdv_textareasClass . '" style="height: ' . $pdv_textareaHeight . '; width: 100%;" name="pagedata_var05" id="pagedata_var05">' . $pd_current['pagedata_var05'] . '</textarea><hr>';
			if($plugin_cf['pagedata_vars']['editor_for_textareas'] == 'true'){$view.= "\n" . '</div>';}
		}
		
		if($plugin_cf['pagedata_vars']['pagedata_var05'] != 'pdv_folder' && $plugin_cf['pagedata_vars']['pagedata_var05'] != 'pdv_input' && $plugin_cf['pagedata_vars']['pagedata_var05'] != 'pdv_textarea' && $plugin_cf['pagedata_vars']['pagedata_var05'] != '')
		{
			$pdvars05Array = explode($plugin_cf['pagedata_vars']['array_delimiter'], $plugin_cf['pagedata_vars']['pagedata_var05']);
			
			$view.= '<select name="pagedata_var05" class="pdv_select">';
			$view.= '<option value="">' . $plugin_tx['pagedata_vars']['selectbox_nothing_selected'] . '</option>' . "\n";
			
			foreach($pdvars05Array as $pdvars05file)
			{
				if($pdvars05file == $pd_current['pagedata_var05'])
				{
					$view.= '<option selected="selected">' . $pdvars05file . '</option>' . "\n";
				}
				else
				{
					$view.= '<option>' . $pdvars05file . '</option>' . "\n";
				}
			}
			
			$view.= '</select><br><hr>';
		}
		
		
// Variable pagedata_var06

		if($plugin_cf['pagedata_vars']['pagedata_var06'] != '')
		{
			$view.= "\n" . '<a class="pl_tooltip" href="#">' . $help_icon . '<span><hr>' . str_replace("\n",'<br>',$plugin_tx['pagedata_vars']['hint_pagedata_var06']) . '<br><hr></span></a>';
			$view.= "\n" . '<label for = "pagedata_var06"><span class = "pdvars_label">' . $plugin_tx['pagedata_vars']['label_pagedata_var06'] . '</span></label><br>';
		}
		
		if($plugin_cf['pagedata_vars']['pagedata_var06'] == 'pdv_folder')
		{
			$pdvars06Array = array();
			
			if($pdvar06Handle = opendir($pdvarsFilepath . 'pagedata_var06'))
			{
				while($pdvar06ArrayElement = readdir($pdvar06Handle))
				{
					if($pdvar06ArrayElement != '.' && $pdvar06ArrayElement != '..')
					{
						$pdvars06Array[] = $pdvar06ArrayElement;
						natcasesort($pdvars06Array);
					}
				}
			}
			
			$view.= '<select name="pagedata_var06" class="pdv_select">';
			$view.= '<option value="">' . $plugin_tx['pagedata_vars']['selectbox_nothing_selected'] . '</option>' . "\n";
			
			foreach($pdvars06Array as $pdvars06file)
			{
				if(isset($pd_current['pagedata_var06']) && $pdvars06file == $pd_current['pagedata_var06'])
				{
					$view.= '<option selected="selected">' . $pdvars06file . '</option>' . "\n";
				}
				else
				{
					$view.= '<option>' . $pdvars06file . '</option>' . "\n";
				}
			}

			$view.= '</select><br><hr>';
		}
		
		if($plugin_cf['pagedata_vars']['pagedata_var06'] == 'pdv_input')
		{
			$view.= '
<input type="text" size="50" class="pdv_input" name="pagedata_var06" id="pagedata_var06" value="' . str_replace('"','&quot;',$pd_current['pagedata_var06']) . '"><hr>';
		}
		
		if($plugin_cf['pagedata_vars']['pagedata_var06'] == 'pdv_textarea')
		{
			if($plugin_cf['pagedata_vars']['editor_for_textareas'] == 'true'){$view.= "\n" . '<div style="margin: 2px -24px;">';}
			$view.= "\n" . '<textarea class="' . $pdv_textareasClass . '" style="height: ' . $pdv_textareaHeight . '; width: 100%;" name="pagedata_var06" id="pagedata_var06">' . $pd_current['pagedata_var06'] . '</textarea><hr>';
			if($plugin_cf['pagedata_vars']['editor_for_textareas'] == 'true'){$view.= "\n" . '</div>';}
		}
		
		if($plugin_cf['pagedata_vars']['pagedata_var06'] != 'pdv_folder' && $plugin_cf['pagedata_vars']['pagedata_var06'] != 'pdv_input' && $plugin_cf['pagedata_vars']['pagedata_var06'] != 'pdv_textarea' && $plugin_cf['pagedata_vars']['pagedata_var06'] != '')
		{
			$pdvars06Array = explode($plugin_cf['pagedata_vars']['array_delimiter'], $plugin_cf['pagedata_vars']['pagedata_var06']);
			
			$view.= '<select name="pagedata_var06" class="pdv_select">';
			$view.= '<option value="">' . $plugin_tx['pagedata_vars']['selectbox_nothing_selected'] . '</option>' . "\n";
			
			foreach($pdvars06Array as $pdvars06file)
			{
				if($pdvars06file == $pd_current['pagedata_var06'])
				{
					$view.= '<option selected="selected">' . $pdvars06file . '</option>' . "\n";
				}
				else
				{
					$view.= '<option>' . $pdvars06file . '</option>' . "\n";
				}
			}
			
			$view.= '</select><br><hr>';
		}
		
		$view.= 
'<input name="save_page_data" type="hidden">
<div style="text-align: right;">
<input type="submit" class="submit" style="float: right; margin-right: 0; cursor: pointer;" value="' . $plugin_tx['pagedata_vars']['submit'] . '"><br>
</div>
</form>
';
	}
	return $view;
}
?>